Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001865 [JEDI VCL] 00 JVCL Components major always 2004-06-15 13:25 2005-05-20 06:35
Reporter SVitaliy View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0001865: Component TJvTransparentButton2 disregard change properties Caption and ImageIndex of linked component Action.
Description Updating property Caption (or Checked) of Action linked to the TJvTransparentButton2 not cause automatic repaint.
Updating property ImageIndex of Action linked to the TJvTransparentButton2, not cause updates ActiveIndex at all.
Same problem occur for component TJvTransparentButton.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0004565)
user72
2004-06-16 04:53
edited on: 2004-06-16 05:01

Compare the behavior to TSpeedButton: AFAICS, it is identical.

Repaint issue solved in CVS

edited on: 06-16-04 05:01
(0004574)
SVitaliy (reporter)
2004-06-16 10:10

You are right completely.

However, I think that fine future will be if You introduce flag that enable/disable update ActiveImage on Action.ImageIndex changes.
(0004631)
user72
2004-06-25 05:06

I won't have time to look into this issue, so someone else has to take over.
(0007272)
obones (administrator)
2005-05-20 06:35

This is now fixed in CVS, all the image indexes are updated when the action updates its own image index

- Issue History
Date Modified Username Field Change
2004-06-15 13:25 SVitaliy New Issue
2004-06-16 04:53 user72 Note Added: 0004565
2004-06-16 04:55 user72 Status new => assigned
2004-06-16 04:55 user72 Assigned To => user72
2004-06-16 05:01 user72 Note Edited: 0004565
2004-06-16 05:01 user72 Status assigned => feedback
2004-06-16 10:10 SVitaliy Note Added: 0004574
2004-06-25 05:06 user72 Note Added: 0004631
2004-06-25 05:06 user72 Assigned To user72 =>
2004-06-25 05:06 user72 Status feedback => acknowledged
2005-05-20 06:35 obones Status acknowledged => resolved
2005-05-20 06:35 obones Resolution open => fixed
2005-05-20 06:35 obones Assigned To => obones
2005-05-20 06:35 obones Note Added: 0007272


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker